List Withdraws
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"total_pages": 24,
"total_items": 24,
"data": [
{
"actual_amount": "1000.14",
"amount": "1000.14",
"completed_time": "",
"create_time": "2026-09-07 16:33:03",
"currency": "USDC",
"need_travel_rule": false,
"network": "ETH",
"network_fee": "0",
"order_id": "63845678-7929-45bb-a259-92fc0d616c41",
"order_status": "Pending",
"order_type": "Withdraw",
"processing_fee": "0",
"reason": "WATCHER: crypto withdraw create: watcher withdraw: watcher withdraw: {\"Code\":\"300006\",\"Message\":\"withdraw wallet balance insufficient\",\"RequestId\":\"088d80ff-7108-4730-b9b8-edd282d03934\",\"Data\":null}",
"short_order_id": "WD260907-LOSHDK2R",
"travel_rule_status": "APPROVED",
"txid": "",
"withdraw_address": "0x01F67ad327647e27ecfCE22464416021fBD3B6e8"
}
]
}
}Withdrawals
List Withdraws
Query withdrawal records. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
withdraw
List Withdraws
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"total_pages": 24,
"total_items": 24,
"data": [
{
"actual_amount": "1000.14",
"amount": "1000.14",
"completed_time": "",
"create_time": "2026-09-07 16:33:03",
"currency": "USDC",
"need_travel_rule": false,
"network": "ETH",
"network_fee": "0",
"order_id": "63845678-7929-45bb-a259-92fc0d616c41",
"order_status": "Pending",
"order_type": "Withdraw",
"processing_fee": "0",
"reason": "WATCHER: crypto withdraw create: watcher withdraw: watcher withdraw: {\"Code\":\"300006\",\"Message\":\"withdraw wallet balance insufficient\",\"RequestId\":\"088d80ff-7108-4730-b9b8-edd282d03934\",\"Data\":null}",
"short_order_id": "WD260907-LOSHDK2R",
"travel_rule_status": "APPROVED",
"txid": "",
"withdraw_address": "0x01F67ad327647e27ecfCE22464416021fBD3B6e8"
}
]
}
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Page number, default 1
Required range:
x >= 1Example:
1
Items per page, default 20
Required range:
x >= 1Example:
20
Filter by currency
Example:
"USDT"
Filter by network
Example:
"ETH"
Order status
Example:
"Success"
Exclusive start time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-01T00:00:00+08:00"
Exclusive end time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-02T00:00:00+08:00"

